Mailinglist Archive: opensuse-factory (271 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20141205 released!
Changed packages:

==== apache-commons-beanutils ====

- Remove java-devel dependency; not needed anymore

==== apache2 ====
Subpackages: apache2-devel apache2-doc apache2-example-pages apache2-prefork
apache2-utils

- fix shebang in start_apache2 script that contains bash-specific
constructions

==== autoyast2 ====
Version update (3.1.69 -> 3.1.70)
Subpackages: autoyast2-installation

- remove X-KDE-Library from desktop file (bnc#899104)

==== btrfsprogs ====
Version update (3.17.2 -> 3.17.3)
Subpackages: libbtrfs0

- version 3.17.3
- convert: fix conversion of sparse ext* filesystems
- show: resolve to the correct path
- fsck: more verbose error for root dir problems

==== git ====
Version update (2.1.3 -> 2.2.0)
Subpackages: git-core git-cvs git-daemon git-email git-gui git-svn git-web gitk

- git 2.2.0:
+ improvements and updates to UI, Workflows, Features and options
+ better temporary file handling
+ API updates
+ bug fixes
- package new git-subtree.html

==== grub2 ====
Subpackages: grub2-i386-pc grub2-snapper-plugin grub2-x86_64-efi
grub2-x86_64-xen

- enable 32bit arm targets for uboot and efi
- Replace 'echo -e' command in grub2-snapper-plugin.sh script to
'printf' command. '-e' option of 'echo' command may be
unsupported in some POSIX-complete shells.

==== kiwi-config-openSUSE ====

- Update schemaversion to 6.2 for new kiwi version.

==== libreoffice ====
Subpackages: libreoffice-base libreoffice-base-drivers-mysql libreoffice-calc
libreoffice-calc-extensions libreoffice-draw libreoffice-filters-optional
libreoffice-gnome libreoffice-icon-theme-galaxy
libreoffice-icon-theme-hicontrast libreoffice-icon-theme-oxygen
libreoffice-icon-theme-sifr libreoffice-icon-theme-tango libreoffice-impress
libreoffice-kde4 libreoffice-l10n-cs libreoffice-l10n-da libreoffice-l10n-de
libreoffice-l10n-el libreoffice-l10n-en libreoffice-l10n-es libreoffice-l10n-fr
libreoffice-l10n-hu libreoffice-l10n-it libreoffice-l10n-ja libreoffice-l10n-pl
libreoffice-l10n-ru libreoffice-mailmerge libreoffice-math libreoffice-pyuno
libreoffice-writer libreoffice-writer-extensions

- And do it right as it was supposed to be bash variable :)
- Fix typo %{libdir} -> %{_libdir}
- Remove dangling symlinks from previous versions bnc#884942

==== device-mapper ====
Version update (1.02.90 -> 1.02.92)
Subpackages: device-mapper-32bit lvm2

- Update to 2.02.114
- Removed cmirrord-fix-s390-endian-issue.patch
- Renumbered patches to allow for upstream patches to be applied
before local ones.

==== libcryptmount0 ====
Version update (2.14 -> 2.15)
Subpackages: libcryptmount0-32bit pam_mount pam_mount-32bit

- Update to new upstream release 2.15
* Use new helper= option in util-linux, allowing umount.crypt to be
called on umount.
* Fix a crash in ehd_log due to lack of va_start call

==== seamonkey ====
Version update (2.30 -> 2.31)
Subpackages: seamonkey-dom-inspector seamonkey-irc seamonkey-translations-common

- update to SeaMonkey 2.31 (bnc#908009)
* requires NSS 3.17.2
* MFSA 2014-83/CVE-2014-1587/CVE-2014-1588
Miscellaneous memory safety hazards
* MFSA 2014-84/CVE-2014-1589 (bmo#1043787)
XBL bindings accessible via improper CSS declarations
* MFSA 2014-85/CVE-2014-1590 (bmo#1087633)
XMLHttpRequest crashes with some input streams
* MFSA 2014-86/CVE-2014-1591 (bmo#1069762)
CSP leaks redirect data via violation reports
* MFSA 2014-87/CVE-2014-1592 (bmo#1088635)
Use-after-free during HTML5 parsing
* MFSA 2014-88/CVE-2014-1593 (bmo#1085175)
Buffer overflow while parsing media content
* MFSA 2014-89/CVE-2014-1594 (bmo#1074280)
Bad casting from the BasicThebesLayer to BasicContainerLayer
- rebased patches

==== gvim ====
Version update (7.4.516.hg.6367 -> 7.4.537.hg.6413)
Subpackages: vim vim-data

- Updated to revision 537, fixes the following problems
* With a wrapping line the cursor may not end up in the right place.
(Nazri Ramliy)
* Using status line height in width computations.
* Crash when using syntax highlighting.
* Sun PCK locale is not recognzed.
* When using "vep" a mark is moved to the next line. (Maxi Padulo,
Issue 283)
* Specifying wrong buffer size for GetLongPathName().
* When the X11 server is stopped and restarted, while Vim is kept in
the background, copy/paste no longer works. (Issue 203)
* When using ":ownsyntax" spell checking is messed up. (Issue 78)
* map() leaks memory when there is an error in the expression.
* matchstr() fails on long text. Daniel Hahler)
* Still confusing regexp failure and NFA_TOO_EXPENSIVE.
* Crash when using matchadd() (Yasuhiro Matsumoto)
* No test for what 7.4.517 fixes.
* Many commands take a count or range that is not using line
numbers.
* Comments about parsing an Ex command are wrong.
* When using 'incsearch' "2/pattern/e" highlights the first match.
* ":hardcopy" leaks memory in case of errors.
* Warnings when compiling if_ruby.c.
* Can't build with tiny features.
* Test 63 fails when using a black&white terminal.
* Value of v:hlsearch reflects an internal variable.

==== yast2 ====
Version update (3.1.113 -> 3.1.114)
Subpackages: yast2-devel-doc

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-add-on ====
Version update (3.1.9 -> 3.1.10)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-add-on-creator ====
Version update (3.1.1 -> 3.1.2)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-apparmor ====
Version update (3.1.2 -> 3.1.3)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-auth-server ====
Version update (3.1.12 -> 3.1.13)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-bootloader ====
Version update (3.1.112 -> 3.1.113)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-ca-management ====
Version update (3.1.5 -> 3.1.6)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-core ====
Version update (3.1.13 -> 3.1.14)
Subpackages: yast2-core-devel

- ag_any: respect target root also when the file
does not exist in the original root (boo#903747).
If applied at installation time as a DUD, it fixes
"Internal error... in SaveModulesToLoad" during
an upgrade to oS 13.2.
- 3.1.14

==== yast2-country ====
Version update (3.1.14 -> 3.1.16)
Subpackages: yast2-country-data

- remove reference to obsoleted fi-latin1.map.gz (bnc#907391)
- 3.1.16
- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-dhcp-server ====
Version update (3.1.4 -> 3.1.5)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-dns-server ====
Version update (3.1.7 -> 3.1.8)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-drbd ====
Version update (3.1.9 -> 3.1.10)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-firewall ====
Version update (3.1.2 -> 3.1.3)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-firstboot ====
Version update (3.1.5 -> 3.1.6)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-ftp-server ====
Version update (3.1.7 -> 3.1.8)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-inetd ====
Version update (3.1.9 -> 3.1.10)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-installation ====
Version update (3.1.122 -> 3.1.123)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-instserver ====
Version update (3.1.2 -> 3.1.3)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-iscsi-client ====
Version update (3.1.19 -> 3.1.20)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-isns ====
Version update (3.1.4 -> 3.1.5)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-kdump ====
Version update (3.1.19 -> 3.1.20)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-live-installer ====
Version update (3.1.3 -> 3.1.4)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-mail ====
Version update (3.1.4 -> 3.1.5)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-multipath ====
Version update (3.1.4 -> 3.1.5)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-nfs-client ====
Version update (3.1.11 -> 3.1.12)

- remove X-KDE-Library from desktop file (bnc#899104)
- fixed string substitution in a translated message
- Removed obsolete service (nfsboot) handling (bnc#867766)
- 3.1.10
- Use a more flexible rubygem requirement syntax (bnc#895069)
- 3.1.9
- Don't display 'NFS Settings' tab when called from partitioner
(bnc#890410)
- 3.1.8
- Added 'fsc' to the list of valid negatable options (bnc#873142)
- 3.1.7
- allow mount option bsize (bnc#887369)
- 3.1.6
- Fix building with nfs-utils-1.3.0 (bnc#878875).
- 3.1.5
- Obsolete Service.Status replaced with new Service.active?
- 3.1.4
- Fix failing tests again
- 3.1.3
- Fix failing tests
- 3.1.2
- Added missing mount options (bnc#848768)
- Refactored NfsOptions library
- 3.1.1
- do not use *.spec.in template, use *.spec file with RPM macros
instead
- 3.1.0
- fixed syntax error in nfs.rnc (bnc#841550)
- 3.0.2
- merged changes from SLE11-SP3
- refactored the last change following a late review
(FATE#312242, bnc#820989)
- AutoYaST: fix to allow NFS4 options (FATE#312242, bnc#457981)
- added option for enabling NFS4 GSS (FATE#312242, bnc#681190)
- Added minorversion=1 for pNFS, NFS4.1 (FATE#312259).
- enable compiling, testing, packaging from the WC (bnc#790490)
- merged changelogs from SLE-SP3 for changes
that already are in this branch
- fix enablement of NFSv4 in autoyast (bnc#684859)
- allow to set version of nfs on command line and also fix passing
default value (bnc#681275)
- Consistent setting of widget focus esp. when embedded in partitioner
(bnc#435992)
- 3.0.1
- converted from YCP to Ruby by YCP Killer
(https://github.com/yast/ycp-killer)
- version 3.0.0
- updated reading/writing /etc/idmapd.conf file (SCR agent switched
from Limal backend to ini-agent)
- 2.24.1
- Testsuites adapted to changes in Service module (bnc#807507)
- 2.24.0
- Testsuites adapted to switching Service module to systemd
(yast2-2.23.15)
- Testsuite adapted to one single SuSEfirewall2 service
(yast2-2.23.17)
- 2.21.9
- added support for IPv6 in square brackets
- expanded testsuite for IPv6 checks
- bnc#719538
- 2.21.8
- added support for comment, nofail fstab options
- bnc#776149
- 2.21.7
- added option for enabling NFS4 GSS - bnc#681190
- 2.21.6
- merged proofread texts
- fixed testsuite
- IPv6 addresses supported - bnc#719538
- updated testsuite
- 2.21.5
- removed some dead code, whitespaces
- autoinstallation fails to enable portmapper/rpcbind service - bnc#744357
- 2.21.4
- accepted comments from earlier review.
- some formatting
- 2.21.4
- Base server hostname combobox on existing values - bnc#547983
- fix license to be in spdx.org format
- Fixed testsuites
- 2.21.2
- set dialog title
- set proper dependency on yast2
- 2.21.1
- updated testsuite (systemd adaptation)
- 2.21.0
- fixed .desktop file (bnc #681249)
- Fixed attempt to install rpmbind to inst-sys during installation
(bnc#621197)
- Fixed handling of return symbols (buggy patch for bnc#589541, now
bnc#608166)
- 2.19.3
- added fix for problem with OK button (bnc#589541)
- 2.19.2
- New structure of <nfs> section of AY profiles to allow setting up
global vars (bnc#457981)
- Some style fixes - use ButtonBoxes, use OK-Cancel dialog
(bnc#571958)
- 2.19.1
- adapted to NFS4 support in yast2-storage
- 2.19.0
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
where root privileges are needed, removed X-KDE-SubstituteUID key
(bnc#540627)
- Do not use ag_showexports to show nfsv4-shared dirs on a server,
use Nfs::Mount and show directory listing instead (bnc#466454)
- 2.18.0

==== yast2-nfs-common ====
Version update (3.1.7 -> 3.1.8)
Subpackages: yast2-nfs-server

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-nis-client ====
Version update (3.1.10 -> 3.1.11)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-nis-server ====
Version update (3.1.2 -> 3.1.3)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-ntp-client ====
Version update (3.1.12 -> 3.1.13)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-online-update ====
Version update (3.1.7 -> 3.1.8)
Subpackages: yast2-online-update-frontend

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-packager ====
Version update (3.1.54 -> 3.1.55)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-printer ====
Version update (3.1.1 -> 3.1.2)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-proxy ====
Version update (3.1.2 -> 3.1.3)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-samba-client ====
Version update (3.1.14 -> 3.1.15)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-samba-server ====
Version update (3.1.11 -> 3.1.12)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-scanner ====
Version update (3.1.1 -> 3.1.2)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-security ====
Version update (3.1.5 -> 3.1.6)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-slp-server ====
Version update (3.1.1 -> 3.1.2)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-snapper ====
Version update (3.1.3 -> 3.1.4)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-sound ====
Version update (3.1.4 -> 3.1.5)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-squid ====
Version update (3.1.3 -> 3.1.4)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-sudo ====
Version update (3.1.1 -> 3.1.2)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-sysconfig ====
Version update (3.1.1 -> 3.1.2)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-tftp-server ====
Version update (3.1.1 -> 3.1.2)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-tune ====
Version update (3.1.5 -> 3.1.6)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-update ====
Version update (3.1.24 -> 3.1.25)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-users ====
Version update (3.1.35 -> 3.1.36)

- remove X-KDE-Library from desktop file (bnc#899104)

==== yast2-vm ====
Version update (3.1.20 -> 3.1.21)

- remove X-KDE-Library from desktop file (bnc#899104)




Removed packages:



Added packages:

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages